Summary:        Cross-platform asynchronous I/O
Name:           libuv
Version:        1.46.0
Release:        3%{?dist}
License:        MIT and BSD and ISC
URL:            http://libuv.org/
Source0:        http://dist.libuv.org/dist/v%{version}/libuv-v%{version}.tar.gz
Source1:        libuv.abignore

Patch0001:      0001-CVE-2024-24806.patch
Patch0002:      0002-CVE-2024-24806.patch
Patch0003:      0003-CVE-2024-24806.patch

BuildRequires:  autoconf automake libtool gcc make


%description
libuv is a multi-platform support library with a focus on asynchronous I/O.
It was primarily developed for use by Node.js, but it's also used by Luvit, Julia, uvloop, and others.


%package devel
Summary:        Development libraries for libuv
Requires:       %{name} = %{version}-%{release}

%description devel
Development libraries for libuv


%package static
Summary:        Static library for libuv
Requires:       %{name}-devel = %{version}-%{release}

%description static
Static library for libuv


%prep
%autosetup -n %{name}-v%{version} -p1


%build
./autogen.sh
%configure --disable-silent-rules
%make_build


%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

mkdir -p %{buildroot}%{_libdir}/libuv/
install -D -m 0644 %{SOURCE1} %{buildroot}%{_libdir}/libuv/


%check
%make_build check || :


%files
%license LICENSE
%doc README.md AUTHORS CONTRIBUTING.md MAINTAINERS.md SUPPORTED_PLATFORMS.md ChangeLog
%{_libdir}/%{name}.so.*
%{_libdir}/libuv/libuv.abignore

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/uv.h
%{_includedir}/uv/

%files static
%{_libdir}/%{name}.a


%changelog
* Tue Apr 02 2024 Miaojun Dong <zoedong@tencent.com> - 1.46.0-3
- Fix CVE-2024-24806

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.46.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Miaojun Dong <zoedong@tencent.com> - 1.46.0-1
- Bump version to 1.46.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.44.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.44.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 18 2022 rockerzhu <rockerzhu@tencent.com> - 1.44.2-1
- Initail build
